# Class PokemonPpRestoreModifier

#### Hierarchy (view full)

- ConsumablePokemonMoveModifier
  - PokemonPpRestoreModifier

- Defined in src/modifier/modifier.ts:1180

#####
Index

### Constructors

constructor

### Properties

moveIndex
pokemonId
restorePoints
type

### Methods

add
apply
getPokemon
match
shouldApply

## Constructors

### constructor

- new PokemonPpRestoreModifier(type, pokemonId, moveIndex, restorePoints): PokemonPpRestoreModifier

- #### Parameters

  - type: ModifierType
  - pokemonId: number
  - moveIndex: number
  - restorePoints: number

  #### Returns PokemonPpRestoreModifier

  Overrides ConsumablePokemonMoveModifier.constructor

  - Defined in src/modifier/modifier.ts:1183

## Properties

### moveIndex

moveIndex: number

Inherited from ConsumablePokemonMoveModifier.moveIndex

- Defined in src/modifier/modifier.ts:1171

### pokemonId

pokemonId: number

Inherited from ConsumablePokemonMoveModifier.pokemonId

- Defined in src/modifier/modifier.ts:1105

### `Private` restorePoints

restorePoints: number

- Defined in src/modifier/modifier.ts:1181

### type

type: ModifierType

Inherited from ConsumablePokemonMoveModifier.type

- Defined in src/modifier/modifier.ts:121

## Methods

### add

- add(_modifiers): boolean

- #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumablePokemonMoveModifier.add

  - Defined in src/modifier/modifier.ts:234

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides ConsumablePokemonMoveModifier.apply

  - Defined in src/modifier/modifier.ts:1189

### getPokemon

- getPokemon(scene): PlayerPokemon

- #### Parameters

  - scene: default

  #### Returns PlayerPokemon

  Inherited from ConsumablePokemonMoveModifier.getPokemon

  - Defined in src/modifier/modifier.ts:1117

### match

- match(_modifier): boolean

- #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumablePokemonMoveModifier.match

  - Defined in src/modifier/modifier.ts:127

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Inherited from ConsumablePokemonMoveModifier.shouldApply

  - Defined in src/modifier/modifier.ts:1113